f



Python 3 on Mac OS X 10.8.4

On my mac i do have :
$ python --version
Python 2.7.2

I want to install Python 3 such as python-3.4.0-macosx10.6.dmg avoiding 
disturbing the "built-in" version.

Is that possible ?
0
ISO
6/19/2014 7:02:21 AM
comp.lang.python 77058 articles. 6 followers. Post Follow

4 Replies
734 Views

Similar Articles

[PageSpeed] 32

On 2014-06-19 07:02:21 +0000, Une B�vue said:

> I want to install Python 3 such as python-3.4.0-macosx10.6.dmg avoiding 
> disturbing the "built-in" version.
> Is that possible ?

The Installer app won't let you see the target path of each package in 
the metapackage so you'll have to open each of the them (we're talking 
official binaries since you explicitly named that particular DMG file) 
and check where they are going to install their content.
Most likely they'll go in /usr/local so you won't have clashes with 
system's python.

An alternative is to install and learn to use a package manager, I use 
MacPorts that requires full Xcode. Brew should require the smaller 
command line package. Fink should require no additional packages since 
it's basically APT. There are other managers as well, these are the 
most common on OS X.

-- 
Andrea

0
Andrea
6/19/2014 7:52:23 AM
Le 19/06/14 09:52, Andrea D'Amore a �crit :
> Brew should require the smaller command line package.
OK, fine thanks, I'll use brew.
0
ISO
6/19/2014 9:11:26 AM
On 19/06/2014 08:02, Une B�vue wrote:
> On my mac i do have :
> $ python --version
> Python 2.7.2
>
> I want to install Python 3 such as python-3.4.0-macosx10.6.dmg avoiding
> disturbing the "built-in" version.
>
> Is that possible ?
The python.org packages are explicitly created in order to have no 
conflict with the system installed python. There is no problem with 
using them.

Yours,

Andrew



0
Andrew
6/19/2014 10:43:55 AM
Le 19/06/2014 12:43, Andrew Jaffe a �crit :
> The python.org packages are explicitly created in order to have no
> conflict with the system installed python. There is no problem with
> using them.

OK, fine thanks.
0
ISO
6/26/2014 6:40:47 AM
Reply:

Similar Artilces:

Are Mac OS X 10.5.8's iLife programs safe to use in Mac OS X 10.7.x and 10.8.x?
Hi. Someone told me that Mac OS X 10.7.x and 10.8.x do not come with iLife like the older Mac OS X versions (e.g., 10.5.x). I did not know this! Since my client uses iPhoto that came preinstalled on his old 2008 MacBook Pro's Mac OS X 10.5.x (10.5.8 right now), can he use the old one from 10.5.8? Or will he need a third party replacement (needs to import/copy the old image files) or buy a new iPhoto version for his photo(graph)s? I recalled he did not like iPhoto and wonder if the new one is any better. Thank you in advance. :) -- Quote of the Week: "Every ruler...

Compiling 8.13.4 with GCC 3.3--error, stdarg.h v. varargs.h on Mac OS X 10.4.1?
I'm trying to compile Sendmail 8.13.4 on Mac OS X 10.4.1, using GCC 3.3. I'm getting the message that GCC no longer supports varargs.h and code should be updated to use stdarg.h. I know this is a long-standing problem, and I used to be able to solve it (with Sendmail 8.12.x on Mac OS X 10.2.x and 10.3.x) by reverting to GCC 3.1. Unfortunately, GCC 3.1 is not installed on Mac OS X 10.4. The weird thing is that the last machine I build this way was Sendmail 8.13.3 on Mac OS X 10.3.7 and it compiled just fine with GCC 3.3. Possibly this had something to do with the fact that GCC 3...

CW 8.3/CW 9.4 Mac OS X 10.4 problem
Hi After installing 10.4 I can not drag and drop files into the IDE window anymore I tried c/c++/java files in 8.3 and c/c++ in 9.4 Is there workaround for that? However I can add files from he Project->Add files without any problem Actually I saw that problem on all prerelease builds After clean installations upgrades Thanks In article <BE98BC82.1156%dimamarkman@comcast.net>, Dmitry Markman <dimamarkman@comcast.net> wrote: > I tried c/c++/java files in 8.3 and c/c++ in 9.4 > > Is there workaround for that? MW has said they will release a ...

installing ppgplot (using OS X 10.3 / gcc 3.4 / python 2.3b)
I'm trying to install Nick Patavalis' ppgplot package on Mac OS X 10.3 with python 2.3. I first sent this message to Nick, but he said he doesn't have any experience with the Mac platform. after installing using python setup.py install (using Numeric; no error messages), and then in python trying >>> import ppgplot i get: Traceback (most recent call last): File "<stdin>", line 1, in ? File "/sw/lib/python2.3/site-packages/ppgplot/__init__.py", line 1, in ? from _ppgplot import * ImportError: Failure linking new module: : dyld: ...

python on mac os 10.4.x
Hi, Python 2.3.5 comes pre-installed on mac os 10.4.7, and I've looked around in /System/Library/Frameworks/Python.framework/ and under .../ Versions/2.3/bin/, there is an exec file named 'idle'. I assume that is the Python IDLE I've read about, but I can't figure out what I need to do to use IDLE to edit a file. Any help would be appreciated. I know it's recommended to install the latest version of python, which would then come with the IDLE, but I want to learn wxPython as well, and from what I understand you need a "framework" build of python on a Mac t...

Mac OS X 10.3.9 to 10.3.8
Is there a way to go back from 10.3.9 to 10.3.8. I have protools that will not work in 10.3.9. Any ideas? thx <fromero@csudh.edu> wrote in message news:1138070312.152531.300390@g47g2000cwa.googlegroups.com... > Is there a way to go back from 10.3.9 to 10.3.8. I have protools that > will not work in 10.3.9. Any ideas? > Restore from the backup you made before you updated to 10.3.9, or reinstall and update from your install CD. Greg How do yu restore from a backup on a mac? Also, if I reinstall from the CDs wont that remove my applications? G.T. wrote: > <fro...

Re: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4
Hi Jason, Thanks for using the PRF. >> ACE VERSION: 5.3.1 This version of ACE is ANCIENT. The forthcoming ACE 5.4.8 beta should work "out of the box" for Mac OS X Tiger. If you want a preview, please download the version in our CVS repo at http://cvs.doc.wustl.edu/ take care, Doug >> HOST MACHINE and OPERATING SYSTEM: Mac OS X 10.4.2 >> COMPILER NAME AND VERSION (AND PATCHLEVEL): >> powerpc-apple-darwin8-gcc-4.0.1 >> >> CONTENTS OF $ACE_ROOT/ace/config.h: >> >> /* -*- C++ ...

RE: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4 #2
Hi Jason, > > >> ACE VERSION: 5.3.1 > > > > This version of ACE is ANCIENT. The forthcoming ACE 5.4.8 > beta should > > work "out of the box" for Mac OS X Tiger. If you want a preview, > > please download the version in our CVS repo at > > I know it isn't the most recent version available, but this > version is used > extensively across the corporation. Changing the version of > ACE all these > products used will cause the architect's heads to explode ;) ;-) Right - this is where the value...

RE: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4 #2
Hi Doug, > > Thanks for using the PRF. > > >> ACE VERSION: 5.3.1 > > This version of ACE is ANCIENT. The forthcoming ACE 5.4.8 beta should > work "out of the box" for Mac OS X Tiger. If you want a preview, > please download the version in our CVS repo at I know it isn't the most recent version available, but this version is used extensively across the corporation. Changing the version of ACE all these products used will cause the architect's heads to explode ;) Is it your opinion that 5.3.1 is hopeless cause on ...

Re: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4 #2
Hi Jason, >> I know it isn't the most recent version available, but this version >> is used extensively across the corporation. Changing the version of >> ACE all these products used will cause the architect's heads to >> explode ;) >> >> Is it your opinion that 5.3.1 is hopeless cause on Tiger? It'll take some work, but companies like Riverace, Remedy, and OCI can help out with this stuff if staying with 5.3.1 is essential. Please see http://www.cs.wustl.edu/~schmidt/commercial-support.html for help with this stuff. >>...

[wx 2.6.3, Mac OS X 10.4.8, gcc 4.0.1] extremely slow wxStyledTextCtrl::Colourise()
Hello, I'm developing a multi-platform source code editor with syntax-highlighting based on wxWidgets. I have a problem with the wxStyledTextCtrl::Colourise() function on the Mac platform. This function is extremely slow on Mac, e.g. it takes about 40 seconds to do the lexing of a file of 500 lines of c++ code, while the same function returns within 1 second on the Windows and Linux platforms using the same version of wxWidgets. (I'm using the wxSTC_LEX_CPP lexer). The problem appears when the user wants to scroll down the wxStyledTextCtrl : the slider blocks and th...

CW 8.3 problem (on mac os x 10.3.8)
Hi I got the following link error Link Error : dylib1.o has local relocation entries in non-writable section (__TEXT,__text) When I tried to build very simple dylib I don't remember tghat I had that problem before: that example is at least 1 year old CW9.3 build that dylib without any problem I have latest dev. Tools installed Thanks ...

Installed Python 3 on Mac OS X Yosemite but its still Python 2.7
--001a113ded2a0126060510bb5045 Content-Type: text/plain; charset=UTF-8 I am currently running OS X Yosemite (10.10.2) on my MacBook Pro... By default, Apple ships Python 2.7.6 on Yosemite. Just downloaded and ran this installer for Python 3: python-3.4.3-macosx10.6.pkg When I opened up my Terminal and typed in python, this is what came up: Python 2.7.6 (default, Sep 9 2014, 15:04:36) [GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.39)] on darwinType "help", "copyright", "credits" or "license" for more information.>>> Sor...

Mac OS X 10.3
I saw this tidbit in the summary of new features of the next version of OS X. Does anyone know exactly what this means? Quartz Python Scripting ? Access the full power of the Quartz PDF engine from the Python scripting language. http://www.apple.com/macosx/features/quartz/ -- Kevin Smith Kevin.Smith@sas.com Kevin Smith <Kevin.Smith@sas.com> writes: > I saw this tidbit in the summary of new features of the next version of > OS X. Does anyone know exactly what this means? > > Quartz Python Scripting ? Access the full power of the Qua...

Web resources about - Python 3 on Mac OS X 10.8.4 - comp.lang.python

Python - Wikipedia, the free encyclopedia
Text is available under the Creative Commons Attribution-ShareAlike License ;additional terms may apply. By using this site, you agree to the ...

Woman bitten on the nose by python during snake show in Phuket
Video of a python that suddenly attacked a Chinese tourist at a snake show on the resort island of Phuket has spread quickly across Thailand's ...

Woman bitten on the nose by python during snake show in Phuket
Video of a python that suddenly attacked a Chinese tourist at a snake show on the resort island of Phuket has spread quickly across Thailand's ...

Carpet python found eating flying fox on North Stradbroke
Queensland ecologist stumbles upon carpet python tucking into winged midnight snack.

Woman bitten on the nose by python during snake show in Phuket
Video of a python that suddenly attacked a Chinese tourist at a snake show on the resort island of Phuket has spread quickly across Thailand's ...

Woman bitten on the nose by python during snake show in Phuket
Video of a python that suddenly attacked a Chinese tourist at a snake show on the resort island of Phuket has spread quickly across Thailand's ...

A Burmese python can out-eat a human any day
Biologists captured X-ray images of a Burmese python eating an alligator to learn how the reptiles digest food

Florida issues 'Python Challenge' to combat invasive snake - CNN.com
The Burmese python, one of the largest snakes in the world, is running amok in Florida.

Man Caught On Camera In Pet Store Shoving Python Down Pants
... his pants . Last week in Portland, OR, a pet store’s surveillance cameras caught a man on camera who used this method to conceal a pricey python ...

Programmers: It’s time to tame Python
If you’re pursuing a career in coding, you’re going to have to reckon with Python, one of the most popular programming languages in use. A valuable ...

Resources last updated: 1/26/2016 7:50:14 PM